﻿@model TooJaVile.Models.Photo

@{
    ViewBag.Title = "Create";
}
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>

    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#datafile').attr('src', e.target.result);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $(document).ready(function () {
            $("#file").change(function () {
                readURL(this);
            });
        });
    </script>
}


<h2>Lisa uus pilt</h2>


@using (Html.BeginForm("Create", "Photos", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    <input type="hidden" name="ret" value="@ViewBag.Ret" />

    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.AlbumId, "Vali album", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @if (ViewBag.Ret == 0)
                {
                    @Html.DropDownList("AlbumId", null, "-- Vali album --", htmlAttributes: new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.AlbumId, "", new { @class = "text-danger" })
                }
                else
                {
                    @Html.DropDownList("AlbumId", null, htmlAttributes: new { @class = "form-control", disabled = "disabled" })
                    @Html.ValidationMessageFor(model => model.AlbumId, "", new { @class = "text-danger" })
                    @Html.HiddenFor(x => x.AlbumId)
                }
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PictureId, "Lisa pilt", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.HiddenFor(x => x.PictureId) @*//kui pilt on olemas, siis on on seal ja keegi ei korja seda ära.*@
                <input type="file" name="file" id="file" />
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Created, "Loodud", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Created, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Created, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Lisa" class="btn btn-default" />
            </div>
        </div>
    </div>
}

@*TODO: kui lisad uue pildi, siis peaks tagasi saatma õige albumi vaatesse*@ 
@*@using (Html.BeginForm("Details", "Albums", new { id = ViewBag.Ret }, null))
{

    @Html.AntiForgeryToken()
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Create" class="btn btn-default" />
        </div>
    </div>

}*@



@if (ViewBag.Ret == 0)
{
    <div>
        @Html.ActionLink("Tagasi nimekirja", "Index")
    </div>
}
else
{
    <div>
        @Html.ActionLink("Tagasi albumi nimekirja", "Details", "Albums", new { id = ViewBag.Ret }, null)
    </div>
}


